创建 windowsPhone81VpnConfiguration
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 windowsPhone81VpnConfiguration 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
POST /deviceManagement/deviceConfigurations
POST /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 windowsPhone81VpnConfiguration 对象的 JSON 表示形式。
下表显示创建 windowsPhone81VpnConfiguration 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 实体的键。 继承自 deviceConfiguration |
| lastModifiedDateTime | DateTimeOffset | 上次修改对象的日期/时间。 继承自 deviceConfiguration |
| roleScopeTagIds | String collection | 此实体实例的范围标记列表。 继承自 deviceConfiguration |
| supportsScopeTags | Boolean | 指示基础设备配置是否支持分配范围标记。 当此值为 false 且实体对范围用户不可见时,不允许分配给 ScopeTags 属性。 这适用于在 Silverlight 中创建的旧版策略,可通过在 Azure 门户中删除和重新创建策略来解决。 此属性是只读的。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleOsEdition | deviceManagementApplicabilityRuleOsEdition | 此策略的操作系统版本适用性。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleOsVersion | deviceManagementApplicabilityRuleOsVersion | 此策略的操作系统版本适用性规则。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleDeviceMode | deviceManagementApplicabilityRuleDeviceMode | 此策略的设备模式适用性规则。 继承自 deviceConfiguration |
| createdDateTime | DateTimeOffset | 创建对象的日期/时间。 继承自 deviceConfiguration |
| 说明 | String | 管理员提供的设备配置的说明。 继承自 deviceConfiguration |
| displayName | String | 管理员提供的设备配置的名称。 继承自 deviceConfiguration |
| version | Int32 | 设备配置的版本。 继承自 deviceConfiguration |
| connectionName | String | 向用户显示的连接名称。 继承自 windowsVpnConfiguration |
| 服务器 | vpnServer 集合 | 网络上 VPN 服务器的列表。 确保最终用户可以访问这些网络位置。 该集合最多可包含 500 个元素。 继承自 windowsVpnConfiguration |
| customXml | 二进制 | 配置 VPN 连接的自定义 XML 命令。 (UTF8 编码的字节数组) 继承自 windowsVpnConfiguration |
| applyOnlyToWindows81 | Boolean | 指示此策略是否仅适用于 Windows 8.1 的值。 此属性是只读的。 继承自 windows81VpnConfiguration |
| connectionType | windowsVpnConnectionType | 连接类型。 继承自 windows81VpnConfiguration。 可取值为:pulseSecure、f5EdgeClient、dellSonicWallMobileConnect、checkPointCapsuleVpn。 |
| loginGroupOrDomain | String | 连接类型设置为 Dell SonicWALL 移动连接时登录组或域。 继承自 windows81VpnConfiguration |
| enableSplitTunneling | Boolean | 为 VPN 启用拆分隧道。 继承自 windows81VpnConfiguration |
| proxyServer | windows81VpnProxyServer | 代理服务器。 继承自 windows81VpnConfiguration |
| bypassVpnOnCompanyWifi | Boolean | 在公司 WI-Fi 上绕过 VPN。 |
| bypassVpnOnHomeWifi | Boolean | 在家庭 WI-Fi 上绕过 VPN。 |
| authenticationMethod | vpnAuthenticationMethod | 身份验证方法。 可取值为:certificate、usernameAndPassword、sharedSecret、derivedCredential、azureAD。 |
| rememberUserCredentials | Boolean | 请记住用户凭据。 |
| dnsSuffixSearchList | String collection | DNS 后缀搜索列表。 |
响应
如果成功,此方法在响应正文中返回 响应代码和 201 Created windowsPhone81VpnConfiguration 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations
Content-type: application/json
Content-length: 2016
{
"@odata.type": "#microsoft.graph.windowsPhone81VpnConfiguration",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"connectionName": "Connection Name value",
"servers": [
{
"@odata.type": "microsoft.graph.vpnServer",
"description": "Description value",
"address": "Address value",
"isDefaultServer": true
}
],
"customXml": "Y3VzdG9tWG1s",
"applyOnlyToWindows81": true,
"connectionType": "f5EdgeClient",
"loginGroupOrDomain": "Login Group Or Domain value",
"enableSplitTunneling": true,
"proxyServer": {
"@odata.type": "microsoft.graph.windows81VpnProxyServer",
"automaticConfigurationScriptUrl": "https://example.com/automaticConfigurationScriptUrl/",
"address": "Address value",
"port": 4,
"automaticallyDetectProxySettings": true,
"bypassProxyServerForLocalAddress": true
},
"bypassVpnOnCompanyWifi": true,
"bypassVpnOnHomeWifi": true,
"authenticationMethod": "usernameAndPassword",
"rememberUserCredentials": true,
"dnsSuffixSearchList": [
"Dns Suffix Search List value"
]
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 2188
{
"@odata.type": "#microsoft.graph.windowsPhone81VpnConfiguration",
"id": "7cecc0db-c0db-7cec-dbc0-ec7cdbc0ec7c",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"connectionName": "Connection Name value",
"servers": [
{
"@odata.type": "microsoft.graph.vpnServer",
"description": "Description value",
"address": "Address value",
"isDefaultServer": true
}
],
"customXml": "Y3VzdG9tWG1s",
"applyOnlyToWindows81": true,
"connectionType": "f5EdgeClient",
"loginGroupOrDomain": "Login Group Or Domain value",
"enableSplitTunneling": true,
"proxyServer": {
"@odata.type": "microsoft.graph.windows81VpnProxyServer",
"automaticConfigurationScriptUrl": "https://example.com/automaticConfigurationScriptUrl/",
"address": "Address value",
"port": 4,
"automaticallyDetectProxySettings": true,
"bypassProxyServerForLocalAddress": true
},
"bypassVpnOnCompanyWifi": true,
"bypassVpnOnHomeWifi": true,
"authenticationMethod": "usernameAndPassword",
"rememberUserCredentials": true,
"dnsSuffixSearchList": [
"Dns Suffix Search List value"
]
}
反馈
提交和查看相关反馈